Bug 1245786 - Build failure on F23
Summary: Build failure on F23
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: tomcatjss
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christina Fu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23BetaFreezeException 1250724 1344804
TreeView+ depends on / blocked
 
Reported: 2015-07-22 18:24 UTC by Endi Sukma Dewata
Modified: 2016-11-28 13:38 UTC (History)
8 users (show)

Fixed In Version: tomcatjss-7.1.3-1.fc23, tomcatjss-7.1.2-2.fc22, pki-core-10.2.6-12.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1344804 (view as bug list)
Environment:
Last Closed: 2016-11-28 13:38:24 UTC


Attachments (Terms of Use)

Description Endi Sukma Dewata 2015-07-22 18:24:18 UTC
TomcatJSS failed to build on F23:

Buildfile: /home/edewata/Projects/Fedora/tomcatjss/tomcatjss-7.1.2/build.xml

compile:
    [mkdir] Created dir: /home/edewata/Projects/Fedora/tomcatjss/tomcatjss-7.1.2/build/classes
    [javac] /home/edewata/Projects/Fedora/tomcatjss/tomcatjss-7.1.2/build.xml:209: warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false for repeatable builds
    [javac] Compiling 7 source files to /home/edewata/Projects/Fedora/tomcatjss/tomcatjss-7.1.2/build/classes
    [javac] /home/edewata/Projects/Fedora/tomcatjss/tomcatjss-7.1.2/src/org/apache/tomcat/util/net/jss/JSSSupport.java:31: error: JSSSupport is not abstract and does not override abstract method getProtocol() in SSLSupport
    [javac] class JSSSupport implements SSLSupport {
    [javac] ^
    [javac] Note: /home/edewata/Projects/Fedora/tomcatjss/tomcatjss-7.1.2/src/org/apache/tomcat/util/net/jss/JSSSocketFactory.java uses or overrides a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 error

BUILD FAILED
/home/edewata/Projects/Fedora/tomcatjss/tomcatjss-7.1.2/build.xml:209: Compile failed; see the compiler error output for details.

See also:
* https://bz.apache.org/bugzilla/show_bug.cgi?id=57540
* https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=789109

Comment 1 Fedora Update System 2015-08-05 21:39:55 UTC
tomcatjss-7.1.3-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/tomcatjss-7.1.3-1.fc23

Comment 2 Fedora Blocker Bugs Application 2015-08-06 15:13:14 UTC
Proposed as a Freeze Exception for 23-beta by Fedora user sgallagh using the blocker tracking app because:

 Given that it looks like an RC3 is going to be inevitable, it would be really good to make sure this lands on the Server DVD as well, so we don't have to rely on the "most people install it from the network" workaround for https://bugzilla.redhat.com/show_bug.cgi?id=1250874

Comment 3 Fedora Update System 2015-08-10 10:08:41 UTC
tomcatjss-7.1.3-1.fc23 has been pushed to the Fedora 23 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Adam Williamson 2015-08-24 17:04:42 UTC
Looks like this can be closed.

Comment 5 Fedora Update System 2016-03-17 17:58:27 UTC
tomcatjss-7.1.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f00f8e2144

Comment 6 Fedora Update System 2016-03-17 20:30:11 UTC
pki-core-10.2.6-12.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c9a44b20fd

Comment 7 Fedora Update System 2016-03-18 23:54:50 UTC
pki-core-10.2.6-12.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c9a44b20fd

Comment 8 Fedora Update System 2016-03-18 23:54:57 UTC
tomcatjss-7.1.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f00f8e2144

Comment 9 Fedora Update System 2016-03-29 19:18:32 UTC
pki-core-10.2.6-12.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-03-30 21:20:58 UTC
tomcatjss-7.1.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora End Of Life 2016-11-24 12:13:23 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.